#
# spec file for package python-pymad
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2008 Pascal Bleser <guru@unixtech.be>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pymad
Version:        0.11.3
Release:        1.4
Summary:        Python Module to use the MPEG Audio Decoder Library
License:        LGPL-2.0-or-later
Group:          Development/Libraries/Python
URL:            http://spacepants.org/src/pymad
Source:         https://files.pythonhosted.org/packages/source/p/pymad/pymad-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(mad)
%python_subpackages

%description
pymad is a Python module that allows Python programs to use the MPEG Audio
Decoder library. pymad provides a high-level API, similar to the pyogg module,
allowing to read PCM data from MPEG audio streams.

%prep
%autosetup -p1 -n pymad-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc AUTHORS NEWS README.md THANKS
%license COPYING
%{python_sitearch}/*

%changelog
* Sun Oct 22 2023 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.11.3
  * Bump standards-version to 4.6.2.
  * Switch uscan to use the PyPI redirector.
  * Acknowledged old bugs long since fixed.
  * No longer needs a `PYBUILD_BEFORE_CLEAN` rule.
  * Update extend-diff-ignore in source/options for git based
    packaging.
  * Add `python3-setuptools-scm` to the build dependencies.
- Disable tests due to missing requirement (pyao)
* Tue Feb 20 2018 aloisio@gmx.com
- Update to version 0.10 (no changelog supplied)
- Converted to single spec
- Dropped pymad-use_python_sys_lib.patch (no longer necessary)
- Spec cleanup
* Tue Jul  1 2008 guru@unixtech.be
- obsoletes and provides python-mad
* Fri Apr 25 2008 guru@unixtech.be
- refactored spec file using --record-rpm
* Fri Dec 28 2007 guru@unixtech.be
- new package
